summaryrefslogtreecommitdiff
path: root/pcr/log4cxx
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-11-21 14:35:33 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-11-21 14:35:33 -0300
commit6db0365f800f4d3411cad96b6a5594e723ede007 (patch)
tree9d3184fdd7ebf5336ec0bcdbdd39a68b83d08a9e /pcr/log4cxx
parentcdc73ac802a1af7a5e797e2789db591b244787be (diff)
parent7e1e84043f1e7fcc36ab23acc9f9df97f814d819 (diff)
downloadabslibre-6db0365f800f4d3411cad96b6a5594e723ede007.tar.gz
abslibre-6db0365f800f4d3411cad96b6a5594e723ede007.tar.bz2
abslibre-6db0365f800f4d3411cad96b6a5594e723ede007.zip
Merge branch 'master' of ssh://gparabola/srv/git/abslibre
Diffstat (limited to 'pcr/log4cxx')
-rw-r--r--pcr/log4cxx/PKGBUILD24
-rw-r--r--pcr/log4cxx/log4cxx-0.10.0-missing_includes.patch38
2 files changed, 62 insertions, 0 deletions
diff --git a/pcr/log4cxx/PKGBUILD b/pcr/log4cxx/PKGBUILD
new file mode 100644
index 000000000..c77813e56
--- /dev/null
+++ b/pcr/log4cxx/PKGBUILD
@@ -0,0 +1,24 @@
+pkgname=log4cxx
+pkgver=0.10.0
+pkgrel=2
+pkgdesc="A C++ port of Log4j"
+url="http://logging.apache.org/log4cxx"
+license="APACHE"
+depends=('apr-util' 'libxml2')
+arch=('i686' 'x86_64')
+makedepends=('autoconf' 'automake' 'libtool' 'patch' 'zip' 'gzip' 'sed')
+
+source=(http://archive.apache.org/dist/logging/$pkgname/$pkgver/apache-$pkgname-$pkgver.tar.gz
+ log4cxx-0.10.0-missing_includes.patch)
+md5sums=('b30ffb8da3665178e68940ff7a61084c'
+ 'dfa17719a57b19f12cbef94419a2aac8')
+
+build() {
+ cd $startdir/src/apache-$pkgname-$pkgver
+
+ patch -p1 < $startdir/log4cxx-0.10.0-missing_includes.patch
+
+ ./configure --prefix=/usr --disable-static
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+}
diff --git a/pcr/log4cxx/log4cxx-0.10.0-missing_includes.patch b/pcr/log4cxx/log4cxx-0.10.0-missing_includes.patch
new file mode 100644
index 000000000..9f3534ccc
--- /dev/null
+++ b/pcr/log4cxx/log4cxx-0.10.0-missing_includes.patch
@@ -0,0 +1,38 @@
+diff -Naur apache-log4cxx-0.10.0.orig/src/examples/cpp/console.cpp apache-log4cxx-0.10.0/src/examples/cpp/console.cpp
+--- apache-log4cxx-0.10.0.orig/src/examples/cpp/console.cpp 2008-04-01 00:34:52.000000000 +0200
++++ apache-log4cxx-0.10.0/src/examples/cpp/console.cpp 2008-05-06 05:40:52.000000000 +0200
+@@ -15,7 +15,10 @@
+ * limitations under the License.
+ */
+
+-#include <stdlib.h>
++#include <cstdio>
++#include <cstdlib>
++#include <cstring>
++#include <stdint.h>
+ #include <log4cxx/logger.h>
+ #include <log4cxx/consoleappender.h>
+ #include <log4cxx/simplelayout.h>
+diff -Naur apache-log4cxx-0.10.0.orig/src/main/cpp/inputstreamreader.cpp apache-log4cxx-0.10.0/src/main/cpp/inputstreamreader.cpp
+--- apache-log4cxx-0.10.0.orig/src/main/cpp/inputstreamreader.cpp 2008-04-01 00:34:09.000000000 +0200
++++ apache-log4cxx-0.10.0/src/main/cpp/inputstreamreader.cpp 2008-05-06 05:32:31.000000000 +0200
+@@ -21,6 +21,8 @@
+ #include <log4cxx/helpers/pool.h>
+ #include <log4cxx/helpers/bytebuffer.h>
+
++#include <cstring>
++
+ using namespace log4cxx;
+ using namespace log4cxx::helpers;
+
+diff -Naur apache-log4cxx-0.10.0.orig/src/main/cpp/socketoutputstream.cpp apache-log4cxx-0.10.0/src/main/cpp/socketoutputstream.cpp
+--- apache-log4cxx-0.10.0.orig/src/main/cpp/socketoutputstream.cpp 2008-04-01 00:34:09.000000000 +0200
++++ apache-log4cxx-0.10.0/src/main/cpp/socketoutputstream.cpp 2008-05-06 05:35:55.000000000 +0200
+@@ -20,6 +20,8 @@
+ #include <log4cxx/helpers/socket.h>
+ #include <log4cxx/helpers/bytebuffer.h>
+
++#include <cstring>
++
+ using namespace log4cxx;
+ using namespace log4cxx::helpers;